GoLink

Analytics API

Query click metrics, timeseries distributions, geo breakdown, and device telemetry.


Analytics API Reference

The Analytics API provides aggregated performance metrics, timeseries click counts, visitor categorization, and geographic insights.


Query Organization Analytics

Retrieve aggregated analytics across all organization links or a specific link.

Request
GET /api/analytics?timeframe=30 HTTP/1.1 Host: golink.buzz Authorization: Bearer <TOKEN> x-organization-id: <ORG_ID>

Query Parameters

ParameterTypeRequiredDefaultDescription
timeframestringNo24hTime window for aggregation. Supported values: 24h, 7, 30, 90.
linkIdstringNoundefinedSpecific link _id to filter metrics for a single link.

The 90 day timeframe is available for Pro-tier organizations. Requests with timeframe=90 on free organizations will return a 400 BAD_REQUEST.


Response (200 OK)

Response
{ "success": true, "timeframe": "30", "totals": { "totalClicks": 12450, "uniqueVisitors": 8920, "newVisitors": 6100 }, "chartData": [ { "date": "2026-03-01", "clicks": 420, "uniqueVisitors": 310 }, { "date": "2026-03-02", "clicks": 530, "uniqueVisitors": 390 } ], "deviceDistribution": [ { "name": "desktop", "count": 7800, "percentage": 62.6 }, { "name": "mobile", "count": 4100, "percentage": 32.9 }, { "name": "tablet", "count": 550, "percentage": 4.5 } ], "geoDistribution": [ { "country": "United States", "code": "US", "count": 5120, "percentage": 41.1 }, { "country": "India", "code": "IN", "count": 2340, "percentage": 18.8 }, { "country": "Germany", "code": "DE", "count": 1100, "percentage": 8.8 } ], "referrerDistribution": [ { "source": "twitter.com", "count": 4200, "percentage": 33.7 }, { "source": "Direct", "count": 3100, "percentage": 24.9 }, { "source": "linkedin.com", "count": 2100, "percentage": 16.8 } ] }

Last updated on October 20, 2026